%define module  Sub-Exporter
%define	name	perl-%{module}
%define version 0.978
%define release %mkrel 1

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	A sophisticated exporter for custom-built routines
License: 	GPL or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Sub/%{module}-%{version}.tar.gz
BuildRequires:  perl(Data::OptList)
BuildArch:      noarch
BuildRoot: 	    %{_tmppath}/%{name}-%{version}

%description 
This module allows to (re)name a sub.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%check
%{__make} test

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Sub
%{_mandir}/*/*



%changelog
* Thu Nov 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.978-1mdv2008.1
+ Revision: 111151
- update to new version 0.978

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.976-1mdv2008.0
+ Revision: 77698
- update to new version 0.976

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.975-1mdv2008.0
+ Revision: 75183
- import perl-Sub-Exporter


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.975-1mdv2008.0
- first mdv release
